## Index

### Functions

- add
- catAndDecode

## Functions

### add

- add(content: FileContent, key: Maybe<string>): Promise<AddResult>

- - Defined in ipfs/encoded.ts:16

  #### Parameters

  - ##### content: FileContent

  - ##### key: Maybe<string>

  #### Returns Promise<AddResult>

### catAndDecode

- catAndDecode(cid: CID, key: Maybe<string>): Promise<unknown>

- - Defined in ipfs/encoded.ts:31

  #### Parameters

  - ##### cid: CID

  - ##### key: Maybe<string>

  #### Returns Promise<unknown>

Generated using TypeDoc